<?php 
//Elimina al usuario recogido con el atributo friend y devuelve el feedback
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $friend = mysql_real_escape_string($_GET["friend"]);
 $user  = mysql_real_escape_string($_GET["user"]); 

$resultados = array();
 
 $sql = mysql_query("DELETE FROM friends WHERE (((user1 = '$user')or(user1 = '$friend'))and((user2 = '$user')or(user2 = '$friend')))");
 $resultados["mensaje"] = $friend." has been removed from your friend's list"; 
  if (!$sql) { 
  	 $resultados["mensaje"] = "Error"; 
	 exit(); 
 	} else {    
	 	
 	} 
 mysql_close($con); 
 $resultadosJson = json_encode($resultados);
echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';

 ?>